1. SMS
AvraAPI
  • APIX (AvraAPI) Developer API
    • Location
      • Lookup location by IP address
    • SMS
      • Send SMS
        POST
      • Check SMS balance
        POST
    • Utilities
      • Generate QR code
      • Generate barcode
      • Generate PDF from HTML
    • Schemas
      • ValidationDetails
      • ApiError
      • GeoIpLookupRequest
      • GeoIpLookupResponse
      • Single SMS
      • Bulk Same Message
      • SmsRecipientMessage
      • Bulk Different Messages
      • SmsSendRequest
      • SmsSendResponse
      • SmsBalanceResponse
      • QrGenerateRequest
      • QrBase64Response
      • BarcodeGenerateRequest
      • PdfMargins
      • PdfGenerateRequest
      • PdfBase64Response
  1. SMS

Send SMS

POST
/sms/send
Send a single SMS, a bulk same-message SMS, or a bulk different-message SMS through QuickSend.lk. Managed integrations support only single sends. Bulk modes require a Manual (BYOK) integration.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
API Key
Add parameter in header
X-API-SECRET
Example:
X-API-SECRET: ********************
or
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
SMS request accepted by the upstream provider.
Body

🟠401
🟠402
🟠403
🟠422
🔴503
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST '/sms/send' \
--header 'X-ENV;' \
--header 'X-API-KEY: <api-key>' \
--header 'X-API-SECRET: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "send_method": "single",
    "to": "0771234567",
    "message": "Hello from APIX Phase 8!"
}'
Response Response Example
200 - Single send success
{
    "success": true,
    "request_id": "req_123456789",
    "data": {
        "send_method": "single",
        "message_count": 1,
        "credits_charged": 0,
        "provider_response": {
            "status": "success",
            "id": "66669cc16a80091c079"
        }
    }
}
Modified at 2026-03-31 22:25:00
Previous
Lookup location by IP address
Next
Check SMS balance
Built with